> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Welcome Message (/api-reference/settings/update-welcome-message)

Update the automatic welcome message template that is sent when someone subscribes.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml post /api/{account}/settings/welcome-message
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/settings/welcome-message:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    post:
      summary: Update Welcome Message
      operationId: updateWelcomeMessage
      description: Update the automatic welcome message template that is sent when
        someone subscribes.
      parameters: []
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: "12345678901"
                    template: reply_on_subscribe
                    text: <p>Hey, welcome to my profile</p>
                    displayText: <p>Hey, welcome to my profile</p>
                    price: 0
                    lockedText: false
                    previews: []
                    isMediaReady: true
                    mediaCount: 1
                    media:
                      - id: 1234567890
                        type: photo
                        convertedToVideo: false
                        canView: true
                        hasError: false
                        createdAt: 2026-04-28T20:44:55+00:00
                        isReady: true
                        files:
                          full:
                            url: https://cdn2.onlyfans.com/files/example/full.jpg
                            width: 549
                            height: 309
                            size: 0
                            sources: []
                          thumb:
                            url: https://cdn2.onlyfans.com/files/example/thumb.jpg
                            width: 300
                            height: 300
                            size: 0
                          preview:
                            url: https://cdn2.onlyfans.com/files/example/preview.jpg
                            width: 549
                            height: 309
                            size: 0
                          squarePreview:
                            url: https://cdn2.onlyfans.com/files/example/square.jpg
                            width: 960
                            height: 960
                            size: 0
                        duration: 0
                        releaseForms: []
                        hasCustomPreview: false
                        videoSources:
                          "240": null
                          "720": null
                    createdAt: 2026-04-28T20:44:55+00:00
                    isActive: false
                    giphyId: null
                    isCouplePeopleMedia: false
                    isMarkdownDisabled: true
                    releaseForms: []
                  _meta:
                    _credits:
                      used: 1
                      balance: 999999968
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 10000000
                      limit_day: 50000
                      remaining_minute: 9999997
                      remaining_day: 49969
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                        example: "12345678901"
                      template:
                        type: string
                        example: reply_on_subscribe
                      text:
                        type: string
                        example: <p>Hey, welcome to my profile</p>
                      displayText:
                        type: string
                        example: <p>Hey, welcome to my profile</p>
                      price:
                        type: integer
                        example: 0
                      lockedText:
                        type: boolean
                        example: false
                      previews:
                        type: array
                        example: []
                      isMediaReady:
                        type: boolean
                        example: true
                      mediaCount:
                        type: integer
                        example: 1
                      media:
                        type: array
                        example:
                          - id: 1234567890
                            type: photo
                            convertedToVideo: false
                            canView: true
                            hasError: false
                            createdAt: 2026-04-28T20:44:55+00:00
                            isReady: true
                            files:
                              full:
                                url: https://cdn2.onlyfans.com/files/example/full.jpg
                                width: 549
                                height: 309
                                size: 0
                                sources: []
                              thumb:
                                url: https://cdn2.onlyfans.com/files/example/thumb.jpg
                                width: 300
                                height: 300
                                size: 0
                              preview:
                                url: https://cdn2.onlyfans.com/files/example/preview.jpg
                                width: 549
                                height: 309
                                size: 0
                              squarePreview:
                                url: https://cdn2.onlyfans.com/files/example/square.jpg
                                width: 960
                                height: 960
                                size: 0
                            duration: 0
                            releaseForms: []
                            hasCustomPreview: false
                            videoSources:
                              "240": null
                              "720": null
                        items:
                          type: object
                          properties:
                            id:
                              type: integer
                              example: 1234567890
                            type:
                              type: string
                              example: photo
                            convertedToVideo:
                              type: boolean
                              example: false
                            canView:
                              type: boolean
                              example: true
                            hasError:
                              type: boolean
                              example: false
                            createdAt:
                              type: string
                              example: 2026-04-28T20:44:55+00:00
                            isReady:
                              type: boolean
                              example: true
                            files:
                              type: object
                              properties:
                                full:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      example: https://cdn2.onlyfans.com/files/example/full.jpg
                                    width:
                                      type: integer
                                      example: 549
                                    height:
                                      type: integer
                                      example: 309
                                    size:
                                      type: integer
                                      example: 0
                                    sources:
                                      type: array
                                      example: []
                                thumb:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      example: https://cdn2.onlyfans.com/files/example/thumb.jpg
                                    width:
                                      type: integer
                                      example: 300
                                    height:
                                      type: integer
                                      example: 300
                                    size:
                                      type: integer
                                      example: 0
                                preview:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      example: https://cdn2.onlyfans.com/files/example/preview.jpg
                                    width:
                                      type: integer
                                      example: 549
                                    height:
                                      type: integer
                                      example: 309
                                    size:
                                      type: integer
                                      example: 0
                                squarePreview:
                                  type: object
                                  properties:
                                    url:
                                      type: string
                                      example: https://cdn2.onlyfans.com/files/example/square.jpg
                                    width:
                                      type: integer
                                      example: 960
                                    height:
                                      type: integer
                                      example: 960
                                    size:
                                      type: integer
                                      example: 0
                            duration:
                              type: integer
                              example: 0
                            releaseForms:
                              type: array
                              example: []
                            hasCustomPreview:
                              type: boolean
                              example: false
                            videoSources:
                              type: object
                              properties:
                                "240":
                                  type: string
                                  example: null
                                  nullable: true
                                "720":
                                  type: string
                                  example: null
                                  nullable: true
                      createdAt:
                        type: string
                        example: 2026-04-28T20:44:55+00:00
                      isActive:
                        type: boolean
                        example: false
                      giphyId:
                        type: string
                        example: null
                        nullable: true
                      isCouplePeopleMedia:
                        type: boolean
                        example: false
                      isMarkdownDisabled:
                        type: boolean
                        example: true
                      releaseForms:
                        type: array
                        example: []
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 999999968
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 10000000
                          limit_day:
                            type: integer
                            example: 50000
                          remaining_minute:
                            type: integer
                            example: 9999997
                          remaining_day:
                            type: integer
                            example: 49969
      tags:
        - Settings
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                text:
                  type: string
                  description: The welcome message text content. Required unless a media file is
                    present.
                  example: <p>Hey, welcome to my profile</p>
                lockedText:
                  type: boolean
                  description: Whether the text should be shown or hidden.
                  example: false
                price:
                  type: integer
                  description: Price for paid content (0 or between 3-200). In case this is not
                    zero, **mediaFiles** is required.
                  example: 0
                mediaFiles:
                  type: array
                  description: Direct file uploads, OFAPI `ofapi_media_` IDs, or OF vault IDs.
                    Will be hidden if `price` is provided.
                  example:
                    - ofapi_media_abc123
                    - 1234567890
                  items:
                    type: file[]|string
                previews:
                  type: array
                  description: Direct file uploads, OFAPI `ofapi_media_` IDs, OF vault IDs, or
                    integer indices referencing uploaded files in `mediaFiles`.
                    Will be shown if `price` is provided.
                  example:
                    - ofapi_media_abc123
                    - 1234567890
                  items:
                    type: file[]|string[]|int
                rfTag:
                  type: string
                  description: Array of OnlyFans Creator User IDs to tag in your message.
                  example: null
                rfGuest:
                  type: string
                  description: Array of OnlyFans Release Form Guest IDs to tag in your message.
                  example: null
                rfPartner:
                  type: string
                  description: Array of OnlyFans Release Form Partners IDs to tag in your message.
                  example: null
                isForward:
                  type: boolean
                  description: ""
                  example: true
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````